SimpleServerAuthConfig (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.catalina.authenticator.jaspic

## Class SimpleServerAuthConfig

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.SimpleServerAuthConfig

- All Implemented Interfaces:
    `AuthConfig`, `ServerAuthConfig`

      public class SimpleServerAuthConfig
      extends java.lang.Object
      implements ServerAuthConfig

  Basic implementation primarily intended for use when using third-party `ServerAuthModule` implementations that only provide the module. This implementation supports configuring the `ServerAuthContext` with multiple modules.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleServerAuthConfig​(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler, java.util.Map<java.lang.String,​java.lang.String> properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ServerAuthContext` | `createServerAuthContext​(java.util.List<ServerAuthModule> modules)` |
    `java.lang.String` | `getAppContext()` |
    `ServerAuthContext` | `getAuthContext​(java.lang.String authContextID, javax.security.auth.Subject serviceSubject, java.util.Map properties)` |
    `java.lang.String` | `getAuthContextID​(MessageInfo messageInfo)` |
    `java.lang.String` | `getMessageLayer()` |
    `boolean` | `isProtected()` |
    `void` | `refresh()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleServerAuthConfig

          public SimpleServerAuthConfig​(java.lang.String layer,
                                        java.lang.String appContext,
                                        javax.security.auth.callback.CallbackHandler handler,
                                        java.util.Map<java.lang.String,​java.lang.String> properties)

  - ### Method Detail

    - #### getMessageLayer

          public java.lang.String getMessageLayer()

      Specified by:
        `getMessageLayer` in interface `AuthConfig`

    - #### getAppContext

          public java.lang.String getAppContext()

      Specified by:
        `getAppContext` in interface `AuthConfig`

    - #### getAuthContextID

          public java.lang.String getAuthContextID​(MessageInfo messageInfo)

      Specified by:
        `getAuthContextID` in interface `AuthConfig`

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in interface `AuthConfig`

    - #### isProtected

          public boolean isProtected()

      Specified by:
        `isProtected` in interface `AuthConfig`

    - #### getAuthContext

          public ServerAuthContext getAuthContext​(java.lang.String authContextID,
                                                  javax.security.auth.Subject serviceSubject,
                                                  java.util.Map properties)
                                           throws AuthException

      Specified by:
        `getAuthContext` in interface `ServerAuthConfig`
      Throws:
        `AuthException`

    - #### createServerAuthContext

          protected ServerAuthContext createServerAuthContext​(java.util.List<ServerAuthModule> modules)